Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Backintime requires "kde"? I don't think so, at least not the KDE desktop or KDE-specific libraries,

On my Fedora 24 with Gnome, when I run:

1.) sudo dnf repoquery --require backintime-common the following dependencies are shown:

bindfs
cronie
fuse-encfs
fuse-sshfs
openssh-clients
python3-dbus
python3-keyring

2.) sudo dnf repoquery --require backintime-qt4 (that's the GUI) the following dependencies are shown:

/bin/sh
backintime-common = 1.1.12-1.fc24
libnotify
polkit
python3-PyQt4
python3-SecretStorage
python3-keyring
xorg-x11-utils

Backintime requires "kde"? I don't think so, at least not the KDE desktop or KDE-specific libraries,

On my Fedora 24 with Gnome, when I run:

1.) sudo dnf repoquery --require backintime-common the following dependencies are shown:

bindfs
cronie
fuse-encfs
fuse-sshfs
openssh-clients
python3-dbus
python3-keyring

2.) sudo dnf repoquery --require backintime-qt4 (that's the GUI) the following dependencies are shown:

/bin/sh
backintime-common = 1.1.12-1.fc24
libnotify
polkit
python3-PyQt4
python3-SecretStorage
python3-keyring
xorg-x11-utils

So, what is dnf telling you if you want to install using sudo dnf install backintime-common backintime-qt4?

I realize your are asking specifically for Fedora 25 and Wayland. I think it doesn't make a difference but I'll edit my answer and post the dependencies for backintime with its gui below.


Backintime requires "kde"? I don't think so, at least not the KDE desktop or KDE-specific libraries,

On my Fedora 24 with Gnome, when I run:

1.) sudo dnf repoquery --require backintime-common the following dependencies are shown:

bindfs
cronie
fuse-encfs
fuse-sshfs
openssh-clients
python3-dbus
python3-keyring

2.) sudo dnf repoquery --require backintime-qt4 (that's the GUI) the following dependencies are shown:

/bin/sh
backintime-common = 1.1.12-1.fc24
libnotify
polkit
python3-PyQt4
python3-SecretStorage
python3-keyring
xorg-x11-utils

So, what is dnf telling you if you want to install using sudo dnf install backintime-common backintime-qt4?

EDIT: Adding info for F25 on wayland:

sudo dnf repoquery --requires backintime-qt4 backintime-common

/bin/sh
/usr/bin/ps
/usr/bin/rsync
/usr/bin/ssh-agent
backintime-common = 1.1.12-2.fc25
bindfs
cronie
fuse-encfs
fuse-sshfs
libnotify
openssh-clients
polkit
python3-PyQt4
python3-SecretStorage
python3-dbus
python3-keyring
xorg-x11-utils